import { OnChanges, OnInit, OnDestroy } from '@angular/core';
import { TdChartOptionsService } from '../chart-options.service';
import { ITdAxisLine, ITdAxisLabel, ITdAxisTick, ITdSplitLine, ITdSplitArea, ITdAxisPointer, TdAxisType, TdNameLocation, TdXAxisPosition, TdYAxisPosition } from './axis.interface';
import * as i0 from "@angular/core";
export declare abstract class TdChartAxisDirective implements OnChanges, OnInit, OnDestroy {
    private _axisOption;
    private _optionsService;
    private _state;
    config: any;
    id: string;
    show: boolean;
    gridIndex: number;
    offset: number;
    abstract position: TdXAxisPosition | TdYAxisPosition;
    type: TdAxisType;
    name: string;
    nameLocation: TdNameLocation;
    nameTextStyle: any;
    nameGap: number;
    nameRotate: number;
    inverse: boolean;
    boundaryGap: boolean | string[];
    min: string | number;
    max: string | number;
    scale: boolean;
    minInterval: number;
    interval: number;
    logBase: number;
    silent: boolean;
    triggerEvent: boolean;
    axisLine: ITdAxisLine;
    axisTick: ITdAxisTick;
    axisLabel: ITdAxisLabel;
    splitLine: ITdSplitLine;
    splitArea: ITdSplitArea;
    data: any;
    axisPointer: ITdAxisPointer;
    zlevel: number;
    z: number;
    constructor(_axisOption: string, _optionsService: TdChartOptionsService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    private _setOptions;
    private _removeOption;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartAxisDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TdChartAxisDirective, never, never, { "config": "config"; "id": "id"; "show": "show"; "gridIndex": "gridIndex"; "offset": "offset"; "type": "type"; "name": "name"; "nameLocation": "nameLocation"; "nameTextStyle": "nameTextStyle"; "nameGap": "nameGap"; "nameRotate": "nameRotate"; "inverse": "inverse"; "boundaryGap": "boundaryGap"; "min": "min"; "max": "max"; "scale": "scale"; "minInterval": "minInterval"; "interval": "interval"; "logBase": "logBase"; "silent": "silent"; "triggerEvent": "triggerEvent"; "axisLine": "axisLine"; "axisTick": "axisTick"; "axisLabel": "axisLabel"; "splitLine": "splitLine"; "splitArea": "splitArea"; "data": "data"; "axisPointer": "axisPointer"; "zlevel": "zlevel"; "z": "z"; }, {}, never>;
}
