import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

const _c0 = ["td-sankey", ""];
class TdChartSeriesSankeyComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('sankey', _optionsService);
    }
    getConfig() {
        return {
            zlevel: this.zlevel,
            z: this.z,
            left: this.left,
            top: this.top,
            right: this.right,
            bottom: this.bottom,
            width: this.width,
            height: this.height,
            nodeWidth: this.nodeWidth,
            nodeGap: this.nodeGap,
            layoutIterations: this.layoutIterations,
            orient: this.orient,
            draggable: this.draggable,
            focusNodeAdjacency: this.focusNodeAdjacency,
            label: this.label,
            itemStyle: this.itemStyle,
            lineStyle: this.lineStyle,
            emphasis: this.emphasis,
            nodes: this.nodes,
            links: this.links,
            edges: this.edges,
            silent: this.silent,
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartSeriesSankeyComponent.ɵfac = function TdChartSeriesSankeyComponent_Factory(t) { return new (t || TdChartSeriesSankeyComponent)(i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartSeriesSankeyComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartSeriesSankeyComponent, selectors: [["td-chart-series", "td-sankey", ""]], inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", zlevel: "zlevel", z: "z", left: "left", top: "top", right: "right", bottom: "bottom", width: "width", height: "height", nodeWidth: "nodeWidth", nodeGap: "nodeGap", layoutIterations: "layoutIterations", orient: "orient", draggable: "draggable", focusNodeAdjacency: "focusNodeAdjacency", label: "label", itemStyle: "itemStyle", lineStyle: "lineStyle", emphasis: "emphasis", nodes: "nodes", links: "links", edges: "edges", silent: "silent" }, features: [i0.ɵɵProvidersFeature([
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef((() => TdChartSeriesSankeyComponent)),
            },
        ]), i0.ɵɵInheritDefinitionFeature], attrs: _c0, decls: 0, vars: 0, template: function TdChartSeriesSankeyComponent_Template(rf, ctx) { }, encapsulation: 2, changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartSeriesSankeyComponent, [{
        type: Component,
        args: [{
                selector: 'td-chart-series[td-sankey]',
                template: '',
                changeDetection: ChangeDetectionStrategy.OnPush,
                inputs: [
                    'config',
                    'id',
                    'name',
                    'color',
                    'data',
                    'animation',
                    'animationThreshold',
                    'animationDuration',
                    'animationEasing',
                    'animationDelay',
                    'animationDurationUpdate',
                    'animationEasingUpdate',
                    'animationDelayUpdate',
                    'tooltip',
                ],
                providers: [
                    {
                        provide: TdSeriesDirective,
                        useExisting: forwardRef((() => TdChartSeriesSankeyComponent)),
                    },
                ],
            }]
    }], function () { return [{ type: i1.TdChartOptionsService }]; }, { zlevel: [{
            type: Input
        }], z: [{
            type: Input
        }], left: [{
            type: Input
        }], top: [{
            type: Input
        }], right: [{
            type: Input
        }], bottom: [{
            type: Input
        }], width: [{
            type: Input
        }], height: [{
            type: Input
        }], nodeWidth: [{
            type: Input
        }], nodeGap: [{
            type: Input
        }], layoutIterations: [{
            type: Input
        }], orient: [{
            type: Input
        }], draggable: [{
            type: Input
        }], focusNodeAdjacency: [{
            type: Input
        }], label: [{
            type: Input
        }], itemStyle: [{
            type: Input
        }], lineStyle: [{
            type: Input
        }], emphasis: [{
            type: Input
        }], nodes: [{
            type: Input
        }], links: [{
            type: Input
        }], edges: [{
            type: Input
        }], silent: [{
            type: Input
        }] }); })();

const SANKEY_MODULE_COMPONENTS = [TdChartSeriesSankeyComponent];
class CovalentSankeyEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentSankeyEchartsModule.ɵfac = function CovalentSankeyEchartsModule_Factory(t) { return new (t || CovalentSankeyEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentSankeyEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentSankeyEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentSankeyEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentSankeyEchartsModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [SANKEY_MODULE_COMPONENTS],
                exports: [SANKEY_MODULE_COMPONENTS],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentSankeyEchartsModule, { declarations: [TdChartSeriesSankeyComponent], imports: [CommonModule], exports: [TdChartSeriesSankeyComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentSankeyEchartsModule, SANKEY_MODULE_COMPONENTS, TdChartSeriesSankeyComponent };
//# sourceMappingURL=covalent-echarts-sankey.mjs.map
