import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

const _c0 = ["td-scatter", ""];
class TdChartSeriesScatterComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('scatter', _optionsService);
    }
    getConfig() {
        return {
            coordinateSystem: this.coordinateSystem,
            xAxisIndex: this.xAxisIndex,
            yAxisIndex: this.yAxisIndex,
            polarIndex: this.polarIndex,
            geoIndex: this.geoIndex,
            calendarIndex: this.calendarIndex,
            hoverAnimation: this.hoverAnimation,
            legendHoverLink: this.legendHoverLink,
            symbol: this.symbol,
            symbolSize: this.symbolSize,
            symbolRotate: this.symbolRotate,
            symbolKeepAspect: this.symbolKeepAspect,
            symbolOffset: this.symbolOffset,
            large: this.large,
            largeThreshold: this.largeThreshold,
            cursor: this.cursor,
            label: this.label,
            itemStyle: this.itemStyle,
            emphasis: this.emphasis,
            progressive: this.progressive,
            progressiveThreshold: this.progressiveThreshold,
            dimensions: this.dimensions,
            encode: this.encode,
            seriesLayoutBy: this.seriesLayoutBy,
            datasetIndex: this.datasetIndex,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            zlevel: this.zlevel,
            z: this.z,
            silent: this.silent,
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartSeriesScatterComponent.ɵfac = function TdChartSeriesScatterComponent_Factory(t) { return new (t || TdChartSeriesScatterComponent)(i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartSeriesScatterComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartSeriesScatterComponent, selectors: [["td-chart-series", "td-scatter", ""]], inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", coordinateSystem: "coordinateSystem", xAxisIndex: "xAxisIndex", yAxisIndex: "yAxisIndex", polarIndex: "polarIndex", geoIndex: "geoIndex", calendarIndex: "calendarIndex", hoverAnimation: "hoverAnimation", legendHoverLink: "legendHoverLink", symbol: "symbol", symbolSize: "symbolSize", symbolRotate: "symbolRotate", symbolKeepAspect: "symbolKeepAspect", symbolOffset: "symbolOffset", large: "large", largeThreshold: "largeThreshold", cursor: "cursor", label: "label", itemStyle: "itemStyle", emphasis: "emphasis", progressive: "progressive", progressiveThreshold: "progressiveThreshold", dimensions: "dimensions", encode: "encode", seriesLayoutBy: "seriesLayoutBy", datasetIndex: "datasetIndex", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", zlevel: "zlevel", z: "z", silent: "silent" }, features: [i0.ɵɵProvidersFeature([
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef((() => TdChartSeriesScatterComponent)),
            },
        ]), i0.ɵɵInheritDefinitionFeature], attrs: _c0, decls: 0, vars: 0, template: function TdChartSeriesScatterComponent_Template(rf, ctx) { }, encapsulation: 2, changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartSeriesScatterComponent, [{
        type: Component,
        args: [{
                selector: 'td-chart-series[td-scatter]',
                template: '',
                changeDetection: ChangeDetectionStrategy.OnPush,
                inputs: [
                    'config',
                    'id',
                    'name',
                    'color',
                    'data',
                    'animation',
                    'animationThreshold',
                    'animationDuration',
                    'animationEasing',
                    'animationDelay',
                    'animationDurationUpdate',
                    'animationEasingUpdate',
                    'animationDelayUpdate',
                    'tooltip',
                ],
                providers: [
                    {
                        provide: TdSeriesDirective,
                        useExisting: forwardRef((() => TdChartSeriesScatterComponent)),
                    },
                ],
            }]
    }], function () { return [{ type: i1.TdChartOptionsService }]; }, { coordinateSystem: [{
            type: Input
        }], xAxisIndex: [{
            type: Input
        }], yAxisIndex: [{
            type: Input
        }], polarIndex: [{
            type: Input
        }], geoIndex: [{
            type: Input
        }], calendarIndex: [{
            type: Input
        }], hoverAnimation: [{
            type: Input
        }], legendHoverLink: [{
            type: Input
        }], symbol: [{
            type: Input
        }], symbolSize: [{
            type: Input
        }], symbolRotate: [{
            type: Input
        }], symbolKeepAspect: [{
            type: Input
        }], symbolOffset: [{
            type: Input
        }], large: [{
            type: Input
        }], largeThreshold: [{
            type: Input
        }], cursor: [{
            type: Input
        }], label: [{
            type: Input
        }], itemStyle: [{
            type: Input
        }], emphasis: [{
            type: Input
        }], progressive: [{
            type: Input
        }], progressiveThreshold: [{
            type: Input
        }], dimensions: [{
            type: Input
        }], encode: [{
            type: Input
        }], seriesLayoutBy: [{
            type: Input
        }], datasetIndex: [{
            type: Input
        }], markPoint: [{
            type: Input
        }], markLine: [{
            type: Input
        }], markArea: [{
            type: Input
        }], zlevel: [{
            type: Input
        }], z: [{
            type: Input
        }], silent: [{
            type: Input
        }] }); })();

const SCATTER_MODULE_COMPONENTS = [TdChartSeriesScatterComponent];
class CovalentScatterEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentScatterEchartsModule.ɵfac = function CovalentScatterEchartsModule_Factory(t) { return new (t || CovalentScatterEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentScatterEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentScatterEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentScatterEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentScatterEchartsModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [SCATTER_MODULE_COMPONENTS],
                exports: [SCATTER_MODULE_COMPONENTS],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentScatterEchartsModule, { declarations: [TdChartSeriesScatterComponent], imports: [CommonModule], exports: [TdChartSeriesScatterComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentScatterEchartsModule, SCATTER_MODULE_COMPONENTS, TdChartSeriesScatterComponent };
//# sourceMappingURL=covalent-echarts-scatter.mjs.map
