import * as i0 from '@angular/core';
import { Directive, TemplateRef, Component, ChangeDetectionStrategy, Input, ContentChild, ViewChild, NgModule } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { assignDefined } from '@covalent/echarts/base';

const _c0 = ["toolboxContent"];
function TdChartToolboxComponent_ng_template_0_Template(rf, ctx) { }
class TdChartViewDataFormatterDirective {
}
/** @nocollapse */ /** @nocollapse */ TdChartViewDataFormatterDirective.ɵfac = function TdChartViewDataFormatterDirective_Factory(t) { return new (t || TdChartViewDataFormatterDirective)(); };
/** @nocollapse */ /** @nocollapse */ TdChartViewDataFormatterDirective.ɵdir = /** @pureOrBreakMyCode */ i0.ɵɵdefineDirective({ type: TdChartViewDataFormatterDirective, selectors: [["ng-template", "tdViewDataFormatter", ""]] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartViewDataFormatterDirective, [{
        type: Directive,
        args: [{
                selector: 'ng-template[tdViewDataFormatter]',
            }]
    }], null, null); })();
class TdChartToolboxComponent {
    constructor(_changeDetectorRef, _elementRef, _optionsService) {
        this._changeDetectorRef = _changeDetectorRef;
        this._elementRef = _elementRef;
        this._optionsService = _optionsService;
        this._state = {};
        this.config = {};
        this.show = true;
        this.showTitle = true;
        this.transitionDuration = 0.5;
        this.left = 'auto';
        this.top = 'auto';
        this.right = 'auto';
        this.bottom = 'auto';
        this.width = 'auto';
        this.height = 'auto';
    }
    ngOnChanges() {
        this._setOptions();
    }
    ngOnDestroy() {
        this._removeOption();
    }
    _setOptions() {
        this._checkFormatterTemplate();
        const config = assignDefined(this._state, {
            show: this.show,
            name: this.trigger,
            orient: this.orient,
            itemSize: this.itemSize,
            itemGap: this.itemGap,
            showTitle: this.showTitle,
            label: this.label,
            feature: this.feature,
            iconStyle: this.iconStyle,
            zlevel: this.zlevel,
            z: this.z,
            transitionDuration: this.transitionDuration,
            left: this.left,
            top: this.top,
            right: this.right,
            bottom: this.bottom,
            width: this.width,
            height: this.height,
        }, this.config ? this.config : {});
        // set toolbox configuration in parent chart and render new configurations
        this._optionsService.setOption('toolbox', config);
    }
    _removeOption() {
        this._optionsService.clearOption('toolbox');
    }
    _checkFormatterTemplate() {
        if (this.formatterTemplate) {
            this.feature = {
                ...this.feature,
                dataView: {
                    ...this.feature.dataView,
                    optionToContent: this._optionToContentFormatter(),
                },
            };
        }
    }
    _optionToContentFormatter() {
        return () => {
            this._changeDetectorRef.markForCheck();
            return this._elementRef.nativeElement.innerHTML;
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartToolboxComponent.ɵfac = function TdChartToolboxComponent_Factory(t) { return new (t || TdChartToolboxComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i0.ElementRef), i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartToolboxComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartToolboxComponent, selectors: [["td-chart-toolbox"]], contentQueries: function TdChartToolboxComponent_ContentQueries(rf, ctx, dirIndex) { if (rf & 1) {
        i0.ɵɵcontentQuery(dirIndex, TdChartViewDataFormatterDirective, 5, TemplateRef);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.formatterTemplate = _t.first);
    } }, viewQuery: function TdChartToolboxComponent_Query(rf, ctx) { if (rf & 1) {
        i0.ɵɵviewQuery(_c0, 7);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.fullTemplate = _t.first);
    } }, inputs: { config: "config", show: "show", trigger: "trigger", orient: "orient", itemSize: "itemSize", itemGap: "itemGap", showTitle: "showTitle", label: "label", feature: "feature", iconStyle: "iconStyle", zlevel: "zlevel", z: "z", transitionDuration: "transitionDuration", left: "left", top: "top", right: "right", bottom: "bottom", width: "width", height: "height" }, features: [i0.ɵɵNgOnChangesFeature], decls: 2, vars: 1, consts: [[3, "ngTemplateOutlet"], ["toolboxContent", ""]], template: function TdChartToolboxComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, TdChartToolboxComponent_ng_template_0_Template, 0, 0, "ng-template", 0, 1, i0.ɵɵtemplateRefExtractor);
    } if (rf & 2) {
        i0.ɵɵproperty("ngTemplateOutlet", ctx.formatterTemplate);
    } }, directives: [i2.NgTemplateOutlet], encapsulation: 2, changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartToolboxComponent, [{
        type: Component,
        args: [{ selector: 'td-chart-toolbox', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-template #toolboxContent [ngTemplateOutlet]=\"formatterTemplate\"></ng-template>\n" }]
    }], function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i1.TdChartOptionsService }]; }, { config: [{
            type: Input
        }], show: [{
            type: Input
        }], trigger: [{
            type: Input
        }], orient: [{
            type: Input
        }], itemSize: [{
            type: Input
        }], itemGap: [{
            type: Input
        }], showTitle: [{
            type: Input
        }], label: [{
            type: Input
        }], feature: [{
            type: Input
        }], iconStyle: [{
            type: Input
        }], zlevel: [{
            type: Input
        }], z: [{
            type: Input
        }], transitionDuration: [{
            type: Input
        }], left: [{
            type: Input
        }], top: [{
            type: Input
        }], right: [{
            type: Input
        }], bottom: [{
            type: Input
        }], width: [{
            type: Input
        }], height: [{
            type: Input
        }], formatterTemplate: [{
            type: ContentChild,
            args: [TdChartViewDataFormatterDirective, { read: TemplateRef }]
        }], fullTemplate: [{
            type: ViewChild,
            args: ['toolboxContent', { static: true }]
        }] }); })();

const TOOLBOX_MODULE_COMPONENTS = [TdChartToolboxComponent, TdChartViewDataFormatterDirective];
class CovalentToolboxEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentToolboxEchartsModule.ɵfac = function CovalentToolboxEchartsModule_Factory(t) { return new (t || CovalentToolboxEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentToolboxEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentToolboxEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentToolboxEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentToolboxEchartsModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [TOOLBOX_MODULE_COMPONENTS],
                exports: [TOOLBOX_MODULE_COMPONENTS],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentToolboxEchartsModule, { declarations: [TdChartToolboxComponent, TdChartViewDataFormatterDirective], imports: [CommonModule], exports: [TdChartToolboxComponent, TdChartViewDataFormatterDirective] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentToolboxEchartsModule, TOOLBOX_MODULE_COMPONENTS, TdChartToolboxComponent, TdChartViewDataFormatterDirective };
//# sourceMappingURL=covalent-echarts-toolbox.mjs.map
