import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

const _c0 = ["td-tree", ""];
class TdChartSeriesTreeComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('tree', _optionsService);
    }
    getConfig() {
        return {
            zlevel: this.zlevel,
            z: this.z,
            left: this.left,
            top: this.top,
            right: this.right,
            bottom: this.bottom,
            width: this.width,
            height: this.height,
            layout: this.layout,
            orient: this.orient,
            symbol: this.symbol,
            symbolSize: this.symbolSize,
            symbolRotate: this.symbolRotate,
            symbolKeepAspect: this.symbolKeepAspect,
            roam: this.roam,
            expandAndCollapse: this.expandAndCollapse,
            initialTreeDepth: this.initialTreeDepth,
            itemStyle: this.itemStyle,
            label: this.label,
            lineStyle: this.lineStyle,
            leaves: this.leaves,
            emphasis: this.emphasis,
        };
    }
}
/** @nocollapse */ /** @nocollapse */ TdChartSeriesTreeComponent.ɵfac = function TdChartSeriesTreeComponent_Factory(t) { return new (t || TdChartSeriesTreeComponent)(i0.ɵɵdirectiveInject(i1.TdChartOptionsService)); };
/** @nocollapse */ /** @nocollapse */ TdChartSeriesTreeComponent.ɵcmp = /** @pureOrBreakMyCode */ i0.ɵɵdefineComponent({ type: TdChartSeriesTreeComponent, selectors: [["td-chart-series", "td-tree", ""]], inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", zlevel: "zlevel", z: "z", left: "left", top: "top", right: "right", bottom: "bottom", width: "width", height: "height", layout: "layout", orient: "orient", symbol: "symbol", symbolSize: "symbolSize", symbolRotate: "symbolRotate", symbolKeepAspect: "symbolKeepAspect", roam: "roam", expandAndCollapse: "expandAndCollapse", initialTreeDepth: "initialTreeDepth", itemStyle: "itemStyle", label: "label", lineStyle: "lineStyle", leaves: "leaves", emphasis: "emphasis" }, features: [i0.ɵɵProvidersFeature([
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef((() => TdChartSeriesTreeComponent)),
            },
        ]), i0.ɵɵInheritDefinitionFeature], attrs: _c0, decls: 0, vars: 0, template: function TdChartSeriesTreeComponent_Template(rf, ctx) { }, encapsulation: 2, changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TdChartSeriesTreeComponent, [{
        type: Component,
        args: [{
                selector: 'td-chart-series[td-tree]',
                template: '',
                changeDetection: ChangeDetectionStrategy.OnPush,
                inputs: [
                    'config',
                    'id',
                    'name',
                    'color',
                    'data',
                    'animation',
                    'animationThreshold',
                    'animationDuration',
                    'animationEasing',
                    'animationDelay',
                    'animationDurationUpdate',
                    'animationEasingUpdate',
                    'animationDelayUpdate',
                    'tooltip',
                ],
                providers: [
                    {
                        provide: TdSeriesDirective,
                        useExisting: forwardRef((() => TdChartSeriesTreeComponent)),
                    },
                ],
            }]
    }], function () { return [{ type: i1.TdChartOptionsService }]; }, { zlevel: [{
            type: Input
        }], z: [{
            type: Input
        }], left: [{
            type: Input
        }], top: [{
            type: Input
        }], right: [{
            type: Input
        }], bottom: [{
            type: Input
        }], width: [{
            type: Input
        }], height: [{
            type: Input
        }], layout: [{
            type: Input
        }], orient: [{
            type: Input
        }], symbol: [{
            type: Input
        }], symbolSize: [{
            type: Input
        }], symbolRotate: [{
            type: Input
        }], symbolKeepAspect: [{
            type: Input
        }], roam: [{
            type: Input
        }], expandAndCollapse: [{
            type: Input
        }], initialTreeDepth: [{
            type: Input
        }], itemStyle: [{
            type: Input
        }], label: [{
            type: Input
        }], lineStyle: [{
            type: Input
        }], leaves: [{
            type: Input
        }], emphasis: [{
            type: Input
        }] }); })();

const TREE_MODULE_COMPONENTS = [TdChartSeriesTreeComponent];
class CovalentTreeEchartsModule {
}
/** @nocollapse */ /** @nocollapse */ CovalentTreeEchartsModule.ɵfac = function CovalentTreeEchartsModule_Factory(t) { return new (t || CovalentTreeEchartsModule)(); };
/** @nocollapse */ /** @nocollapse */ CovalentTreeEchartsModule.ɵmod = /** @pureOrBreakMyCode */ i0.ɵɵdefineNgModule({ type: CovalentTreeEchartsModule });
/** @nocollapse */ /** @nocollapse */ CovalentTreeEchartsModule.ɵinj = /** @pureOrBreakMyCode */ i0.ɵɵdefineInjector({ imports: [[CommonModule]] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CovalentTreeEchartsModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [TREE_MODULE_COMPONENTS],
                exports: [TREE_MODULE_COMPONENTS],
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CovalentTreeEchartsModule, { declarations: [TdChartSeriesTreeComponent], imports: [CommonModule], exports: [TdChartSeriesTreeComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentTreeEchartsModule, TREE_MODULE_COMPONENTS, TdChartSeriesTreeComponent };
//# sourceMappingURL=covalent-echarts-tree.mjs.map
